DMSCNTCONV(1)

NAME
dmscntconv - convert dmscnt data

SYNOPSIS
dmscntconv [--src=seqvhd] FILE
dmscntconv --help

DESCRIPTION
Converts the raw data generated by the w11a dmscnt unit, the embedded micro state counter, into a human-readable format. The raw data is usually generated by a ti_w11 Tcl command rw11::sc_read and contains counter index and counter values as hex data. dmscntconv will convert this into a human-readable table of state numbers, state names and state counts for kernel and non-kernel modes. The state names are retrieved from the pdp11_sequencer.vhd source file and the path to and name of the source file can be specified with the --src option.

OPTIONS

--srcf=seqvhd
    name of the sequencer source file used to determine the state number to state name mapping. Default is $RETROBASE/rtl/w11a/pdp11_sequencer.vhd. This default should be OK for almost all cases.

-help
    print full help text and exit.

EXAMPLES

dmscntconv xxx.dat > xxx.scnt
    reads the file xxx.dat and stores the output in xxx.scnt. Because no --src option is given the default sequencer file will be used. The input raw data file is typically generated by a ti_w11 Tcl command like
          tofile xxx.dat [rw11::sc_read]
    The output might look like
        #sn state              all       km      usm    all%    km%   usm%
        #   sum_all           1289     1289        0  100.00 100.00   0.00
         00 s_idle            1145     1145        0   88.83  88.83   0.00
         01 s_cp_regread         9        9        0    0.70   0.70   0.00
         02 s_cp_rps             1        1        0    0.08   0.08   0.00
         03 s_cp_memr_w          0        0        0    0.00   0.00   0.00
         04 s_cp_memw_w          0        0        0    0.00   0.00   0.00
         05 s_ifetch            17       17        0    1.32   1.32   0.00
         06 s_ifetch_w          20       20        0    1.55   1.55   0.00
         07 s_idecode           20       20        0    1.55   1.55   0.00
         ...

SEE ALSO
ti_w11(1), dmscntanal(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>